- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dataExports/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dataExports/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dataExports/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dataExports/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dataExports/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dataExports/list#body.ListDataExportsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dataExports/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dataExports/list#body.aspect_1)

**Full name**: projects.locations.instances.dataExports.list

Lists Data Export requests.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/dataExports`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource whose Data Export requests are to be listed. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of DataExport to return. The service may return fewer than this value. If unspecified, at most 50 DataExport will be returned. The maximum value is 100; values above 100 will be coerced to 100. |
| `pageToken` | `string` Optional. A page token, received from a previous `dataExports.list` call. Provide this to retrieve the subsequent page. |
| `filter` | `string` Optional. Filter for dataExports.list, following AIP-160 (go/aip/160). Filterable fields: - dataExportId (String) - include_log_type (String) - startTime (Timestamp) - endTime (Timestamp) // - Match one of several Data Export IDs: 'dataExportId = "id-abc-123" OR dataExportId = "id-def-456"' - Match Data Exports containing any of the given Log Types: 'include_log_type: "AKAMAI_DHCP" OR include_log_type: "GCP_DNS"' (':' is the HAS operator for repeated fields, Enums are strings) - Filter by Time Range (RFC-3339 format): 'startTime \>= "2025-07-04T10:00:00Z" AND endTime \<= "2025-07-04T12:00:00Z"' - Combined Filter: '(include_log_type: "GCP_DNS") AND startTime \>= "2025-07-01T00:00:00Z"' |

### Request body

The request body must be empty.

### Response body

Response message for dataExports.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "dataExports": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dataExports#DataExport`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `dataExports[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.dataExports#DataExport`)`` The list of Data Export requests. |
| `nextPageToken` | `string` A token to retrieve next page of results. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.dataExports.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).